<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="VIEW-CONTENT">
		<style>
			.sb-pagetitle { border-bottom: solid 1px #776655; }
		</style>

		<script type="text/javascript" src="/js/Admin/Hosts.js?{$version}.{$build}"/>

		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>&#160;</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="/SITEBUILDER-PAGE/STATUS" mode="admin"/>
					<xsl:apply-templates/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="HOST-EDIT-CONTENT">
		<table width="100%" cellpadding="3" border="0">
			<tr>
				<td>
					<form name="formHost" method="post" id="formHost" onsubmit="submitForm(); return false;">
						<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
						<xsl:apply-templates/>
					</form>
				</td>
			</tr>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td align="left" style="padding-left: 30px"><xsl:call-template name="REQUIRED-FIELDS"/></td>
				<td>
					<xsl:call-template name="OK-CANCEL-BUTTONS">
						<xsl:with-param name="okAction">submitForm();</xsl:with-param>
						<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Host/List";</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>

	</xsl:template>

	<xsl:template match="GENERAL-CARD-CONTENT">
		<fieldset class="sb-form-fieldset">
            <legend class="sb-label-toolbar-title">
                <xsl:value-of select="@TITLE"/>
            </legend>

			<input type="hidden" name="hostId">
				<xsl:attribute name="value"><xsl:value-of select="CONTROL[@NAME='id']"/></xsl:attribute>
			</input>

			<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
				<tr>
					<td class="title-block">
						<xsl:apply-templates select="CONTROL[@NAME='hostName']" mode="label">
							<xsl:with-param name="require">true</xsl:with-param>
						</xsl:apply-templates>
					</td>
					<td class="input-block">
						<xsl:apply-templates select="CONTROL[@NAME='hostName']" mode="control">
							<xsl:with-param name="require">true</xsl:with-param>
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						</xsl:apply-templates>
					</td>
				</tr>
				<tr>
					<td class="title-block">
						<xsl:apply-templates select="CONTROL[@NAME='owner']" mode="label"/>
					</td>
					<td class="input-block" style="padding-top: 6px;">
						<xsl:value-of select="CONTROL[@NAME='owner']/@VALUE"/>
					</td>
				</tr>
			</table>
		</fieldset>
	</xsl:template>


</xsl:stylesheet>