<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="NOTIFICATIONS-CONTENT">
<style>
	.sb-pagetitle { border-bottom: solid 1px #776655; }
</style>
<table width="100%" cellpadding="0" border="0">
	<tr>
	<td class="sb-toolbarpadding">
	<script type="text/javascript" src="/js/Admin/Notifications.js?{$version}.{$build}"/>
	
	<form name="notifications" method="post" id="editNotifications" action="{$baseUrl}/Admin/Notifications" onsubmit="return submitForm();">
		<fieldset class="sb-form-fieldset">
			<legend class="sb-label-toolbar-title">Notifications</legend>
			<table width="100%" cellspacing="0" cellpadding="0" border="0" class="sb-formtable">
				<tr>
					<td align="left" style="whitespace: nowrap; vertical-align: baseline;">
						<table cellpadding="0" cellspacing="0" border="0" class="control-title-near-input">
							<tr>
								<td class="title-block">
									<xsl:apply-templates select="CONTROL[@TYPE='COMBO-BOX' and @NAME='notificationsType']" mode="label"/>
								</td>
								<td class="input-block">
									<xsl:apply-templates select="CONTROL[@TYPE='COMBO-BOX' and @NAME='notificationsType']" mode="control"/>
								</td>
							</tr>
						</table>
					</td>
					<td align="right">
						<xsl:apply-templates select="SELECT-LANGUAGE">
							<xsl:with-param name="name">selectedLocale</xsl:with-param>
							<xsl:with-param name="onchange">var selectedLocale = document.forms.notifications.selectedLocale.options[document.forms.notifications.selectedLocale.selectedIndex].value; document.forms.notifications.selectedLocale.selectedIndex = originalSelectedLocaleIndex; sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Admin/Notifications?selectedLocale=' + selectedLocale);</xsl:with-param>
						</xsl:apply-templates>
						
						<script type="text/javascript" language="javascript">
							originalSelectedLocaleIndex = document.forms.notifications.selectedLocale.selectedIndex;
						</script>
					</td>
				</tr>
				<tr>
					<td colspan="2" style="padding: 20px;">
						<xsl:for-each select="CONTROL[@TYPE='INPUT']">
							<xsl:if test="position() != 1">
								<div style="width: 0px; height: 10px;"></div>
							</xsl:if>
							<b><xsl:apply-templates select="." mode="label"/></b>
							<div style="height: 3px;"><span></span></div>
							<xsl:apply-templates select="." mode="control">
								<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
								<xsl:with-param name="size">60</xsl:with-param>
							</xsl:apply-templates>
						</xsl:for-each>
						<div style="width: 0px; height: 10px;"></div>
						<b><xsl:apply-templates select="WYSIWYG/@TITLE" mode="label"/></b>
						<div style="height: 3px;"><span></span></div>
						<xsl:apply-templates select="WYSIWYG[@NAME='notificationContent']"/>
					</td>
				</tr>
			</table>
		</fieldset>

	</form>
	</td>
	</tr>
</table>

<xsl:call-template name="OK-CANCEL-BUTTONS">
	<xsl:with-param name="okAction">if(validateForm()){document.forms.notifications.submit();}</xsl:with-param>
	<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Server";</xsl:with-param>
</xsl:call-template>

</xsl:template>
</xsl:stylesheet>