<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="OWN-SITE-CONTENT">
		<style>
			.sb-pagetitle { border-bottom: solid 1px #776655; }
		</style>
		<script type="text/javascript" src="/js/Admin/Sites.js?{$version}.{$build}"/>
	
    	<table width="100%" cellpadding="0" cellspacing="0" border="0">
        	<tr>
            	<td class="sb-toolbarpadding">
            		<form name="ownSite" method="post" id="ownSite" onsubmit="submitOwnForm(); return false;">
            			<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
            	
	            		<fieldset class="sb-form-fieldset">
				            <legend  class="sb-label-toolbar-title">
				                <xsl:value-of select="@TITLE"/>
				            </legend>
							<xsl:value-of select="@DESCRIPTION"/><br/><br/>
							<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
								<tr>
									<td class="title-block">
						            	<xsl:apply-templates select="CONTROL[@NAME='siteUrl']" mode="label">
											<xsl:with-param name="require">true</xsl:with-param>
										</xsl:apply-templates>
									</td>
									<td class="input-block">
						            	<xsl:apply-templates select="CONTROL[@NAME='siteUrl']" mode="control">
											<xsl:with-param name="require">true</xsl:with-param>
											<xsl:with-param name="size">60</xsl:with-param>
											<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
										</xsl:apply-templates>
									</td>
								</tr>
								<tr>
									<td class="title-block">
						            	<xsl:apply-templates select="CONTROL[@NAME='siteAlias']" mode="label">
											<xsl:with-param name="require">true</xsl:with-param>
										</xsl:apply-templates>
									</td>
									<td class="input-block">
						            	<xsl:apply-templates select="CONTROL[@NAME='siteAlias']" mode="control">
											<xsl:with-param name="require">true</xsl:with-param>
											<xsl:with-param name="size">60</xsl:with-param>
											<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
										</xsl:apply-templates>
									</td>
								</tr>
				            </table>
				        </fieldset>
				        
				        <!-- input image needed for work default submit via Enter -->
						<input type="image" style="border-width: 0px; height: 0px; width: 0px;"/>
					</form>
            	</td>
        	</tr>
        </table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td align="left" style="padding-left: 20px"><xsl:call-template name="REQUIRED-FIELDS"/></td>
				<td>
			        <xsl:call-template name="OK-CANCEL-BUTTONS">
						<xsl:with-param name="okAction">submitOwnForm();</xsl:with-param>
						<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Site/List";</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>
		
	</xsl:template>
	
</xsl:stylesheet>
    
