<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="SITE-FAMILIES-LIST">
	<style>
		.sb-pagetitle { border-bottom: solid 1px #776655; }
	</style>
	<script type="text/javascript" src="/js/Admin/SiteFamilies.js?{$version}.{$build}"/>
	
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>&#160;</td>
		</tr>
		<tr>
			<td class="sb-toolbarpadding">
				<xsl:apply-templates/>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="PAGED-LIST/LIST/HEADER">
	<!--
	<xsl:variable name="headerStructure" select="document('d:/1.xml')"/>
	<xsl:for-each select="$headerStructure/root/item">
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field"><xsl:value-of select="field"/></xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
			<xsl:with-param name="width"><xsl:value-of select="width"/></xsl:with-param>
			<xsl:with-param name="align"><xsl:value-of select="align"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
	</xsl:for-each>
	-->
	
	<tr class="sb-gridview-header" align="left" style="height:24px;white-space:nowrap;">	
		<th style="width:1%;text-align:center"   class="sb-gridview-header">
			<input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked);"/>
		</th>
		
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field">code</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="CODE"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field">title</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="TITLE"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field">templateCategory</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="TEMPLATE-CATEGORY"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
		
		<xsl:call-template name="LIST-HEADER-ITEM">
			<xsl:with-param name="field">pageSet</xsl:with-param>
			<xsl:with-param name="title"><xsl:value-of select="PAGE-SET"/></xsl:with-param>
			<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
			<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		</xsl:call-template>
	</tr>
</xsl:template>

<xsl:template match="PAGED-LIST/LIST/ITEM">
	<xsl:variable name="class">
		<xsl:call-template name="LIST-ROW-CLASS">
        	<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	
	<tr class="{$class}" style="height:24px;">	
		<td style="width:1%;text-align:center;">
			<input type="checkbox" name="objectIds[]">
				<xsl:if test="IS-BUILT-IN = 1"><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
				<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
			</input>
		</td>
		
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title">
				<xsl:choose>
					<xsl:when test="IS-BUILT-IN = 1"><xsl:value-of select="CODE"/></xsl:when>
					<xsl:otherwise>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="$baseUrl"/>/Admin/SiteFamilies/Edit?siteFamilyId=<xsl:value-of select="SITE-FAMILY-ID"/></xsl:attribute>
							<xsl:value-of select="CODE"/>
						</a>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="TITLE"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title">
				<xsl:choose>
					<xsl:when test="TEMPLATE-CATEGORY != ''">
						<xsl:value-of select="TEMPLATE-CATEGORY"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ALL-CATEGORIES"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
		
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="PAGE-SET"/></xsl:with-param>
		</xsl:call-template>
	</tr>
</xsl:template>

</xsl:stylesheet>