<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="TSSETTINGS-CONTENT">
	<style>
		.sb-pagetitle { border-bottom: solid 1px #776655; }
	</style>
	<script type="text/javascript" src="/js/Admin/TrialSitesSettings.js?{$version}.{$build}"/>
	<form name="editTrialSitesSettings" method="post" action="{$baseUrl}/Admin/TrialSettings/Save" onsubmit="return submitForm();">
		<input type="hidden" name="tab" value=""/>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="sb-toolbarpadding" align="right">
					<xsl:apply-templates select="SELECT-LANGUAGE">
						<xsl:with-param name="name">selectedLocale</xsl:with-param>
						<xsl:with-param name="onchange">var selectedLocale = document.forms.editTrialSitesSettings.selectedLocale.options[document.forms.editTrialSitesSettings.selectedLocale.selectedIndex].value; document.forms.editTrialSitesSettings.selectedLocale.selectedIndex = originalSelectedLocaleIndex; sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Admin/TrialSettings/Form?selectedLocale=' + selectedLocale);</xsl:with-param>
					</xsl:apply-templates>
					
					<script type="text/javascript" language="javascript">
						originalSelectedLocaleIndex = document.forms.editTrialSitesSettings.selectedLocale.selectedIndex;
					</script>
				</td>
			</tr>
			<tr>
				<td><xsl:apply-templates select="TAB-PANEL"/></td>
			</tr>
		</table>
	</form>

	<xsl:call-template name="OK-CANCEL-BUTTONS">
		<xsl:with-param name="okAction">if(validateForm()){document.forms.editTrialSitesSettings.submit();}</xsl:with-param>
		<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Server";</xsl:with-param>
	</xsl:call-template>
</xsl:template>

<xsl:template match="TAB-PANEL-CARD[@ID='publishSiteMsg']/CONTENT">
	<xsl:apply-templates select="WYSIWYG[@NAME='trialPublishScreenMessage']"/>
</xsl:template>


<xsl:template match="TAB-PANEL-CARD[@ID='advBanner']/CONTENT">
	<p>
		<strong><xsl:value-of select="PROMOTIONAL-MESSAGE"/></strong> : <a href="{PROMOTIONAL-LINK}" target="_blank"><xsl:value-of select="PROMOTIONAL-LINK"/></a>
		<br/><xsl:value-of select="NOTE-MESSAGE"/>
	</p>

	<p><strong><xsl:value-of select="ADV-MESSAGE"/></strong></p>

	<xsl:apply-templates select="WYSIWYG"/>
</xsl:template>

<xsl:template match="TAB-PANEL-CARD[@ID='defSettings']/CONTENT">
	<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
		<tr>
			<td class="title-block">
				<xsl:apply-templates select="CONTROL[@NAME='skinId' and @TYPE='COMBO-BOX']" mode="label"/>
			</td>
			<td class="input-block">
				<xsl:apply-templates select="CONTROL[@NAME='skinId' and @TYPE='COMBO-BOX']" mode="control">
					<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
		<tr>
			<td class="title-block">
				<xsl:apply-templates select="CONTROL[@NAME='localeId' and @TYPE='COMBO-BOX']" mode="label"/>
			</td>
			<td class="input-block">
				<xsl:apply-templates select="CONTROL[@NAME='localeId' and @TYPE='COMBO-BOX']" mode="control">
					<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
	</table>
</xsl:template>

</xsl:stylesheet>