<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="VIEW-CONTENT">
		<xsl:apply-templates select="LOG-DETAILS-CONTAINER"/>
	</xsl:template>

	<xsl:template match="LOG-DETAILS-CONTAINER">
		<fieldset class="sb-toolbar-fieldset">
			<legend class="sb-label-toolbar-title"><xsl:value-of select="@TITLE"/></legend>
			
			<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">creationDate</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">level</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">logSourceId</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">logSourceId</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">userName</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">ip</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">requestUri</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">referer</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">userAgent</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="LOG-DETAILS-FORM-ROW">
					<xsl:with-param name="name">message</xsl:with-param>
				</xsl:call-template>
			</table>	
					
		</fieldset>		
	</xsl:template>
	
	
	<xsl:template name="LOG-DETAILS-FORM-ROW">
		<xsl:param name="name"/>
		
		<tr>
			<td class="title-block">
				<b>
					<xsl:value-of select="CONTROL[@NAME=$name]/@TITLE"/>
				</b>
			</td>
			<td class="input-block">
				<xsl:call-template name="nl2br">
					<xsl:with-param name="string">
						<xsl:call-template name="space2nbsp">
							<xsl:with-param name="string"><xsl:value-of select="CONTROL[@NAME=$name]/@VALUE"/></xsl:with-param>
						</xsl:call-template>
					</xsl:with-param>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="space2nbsp">
		<xsl:param name="string"/>
		<xsl:value-of select="translate($string, ' ' , '&#160;')"/>
	</xsl:template>
		
</xsl:stylesheet>
