<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
<xsl:template match="FORGET-PASSWORD">
	<script type="text/javascript" src="/js/ForgetPassword.js?{$version}.{$build}"/>
	
	<form name="loginForm" method="post" id="fpForm" action="{$baseUrl}/ForgetPassword" onsubmit="javascript:return validateForm();">
		<table width="100%" border="0">
			<tr>
				<td align="center" style="padding-top: 40px" >
					<table cellspacing="0" cellpadding="0" border="0" class="sb-logintable">
							<tr><td class="sb-logintitle" colspan="2"><xsl:value-of select="RESET-PASSWORD"/></td></tr>
							<xsl:if test="../../STATUS">
								<tr>
									<td>
										<xsl:apply-templates select="../../STATUS" mode="admin">
											<xsl:with-param name="controlStyle">padding: 10px 10px 0px 10px;</xsl:with-param>
										</xsl:apply-templates>
									</td>
								</tr>
							</xsl:if>
							<tr>
								<td style="padding: 10px;">
									<div class="hint"><xsl:value-of select="@DESCRIPTION"/></div>
									<div style="height: 6px;"><span></span></div>
									<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
										<tr>
											<td class="title-block">
												<xsl:apply-templates select="CONTROL[@NAME='login']" mode="label">
													<xsl:with-param name="require">true</xsl:with-param>
												</xsl:apply-templates>
											</td>
											<td class="input-block">
												<xsl:apply-templates select="CONTROL[@NAME='login']" mode="control">
													<xsl:with-param name="require">true</xsl:with-param>
												</xsl:apply-templates>
											</td>
										</tr>
										<tr>
											<td class="title-block">
												<xsl:apply-templates select="CONTROL[@NAME='email']" mode="label">
													<xsl:with-param name="require">true</xsl:with-param>
												</xsl:apply-templates>
											</td>
											<td class="input-block">
												<xsl:apply-templates select="CONTROL[@NAME='email']" mode="control">
													<xsl:with-param name="require">true</xsl:with-param>
												</xsl:apply-templates>
											</td>
										</tr>
									</table>
									
									<table width="100%" border="0" >										
										<tr>
											<td class="sb-login-description">
												<xsl:call-template name="REQUIRED-FIELDS"/>
											</td>
										
											<td nowrap="true" align="right">
												<table width="1%" border="0" cellpadding="0" cellpacing="0"> 
													<tr>
														<td>
															<xsl:call-template name="BUTTON-CONTROL">
																<xsl:with-param name="class">sb-login-control-button</xsl:with-param>
																<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SEND"/></xsl:with-param>
																<xsl:with-param name="action">javascript:validateForm();</xsl:with-param>
															</xsl:call-template>
														</td>
														<td>
															<xsl:call-template name="BUTTON-CONTROL">
																<xsl:with-param name="class">sb-login-control-button</xsl:with-param>
																<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CANCEL"/></xsl:with-param>
																<xsl:with-param name="action">document.location.href='<xsl:value-of select="$baseUrl" disable-output-escaping="yes"/>/Login';</xsl:with-param>
															</xsl:call-template>
														</td>
													</tr>
												</table>
												
												<!-- input image needed for work default submit via Enter -->
												<input type="image" style="border-width: 0px; height: 0px; width: 0px;"/>
											</td>
										</tr>									
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</form>
	</xsl:template>

	<xsl:template match="SITEBUILDER-PAGE">
		<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%">
			<tr>
				<td class="sb-adminpanel-header">
					<xsl:if test="NAVIGATION">
						<xsl:attribute name="colspan">2</xsl:attribute>
					</xsl:if>
					<xsl:call-template name="TOP-HEADER"/>
				</td>
			</tr>
			<tr>
				<td valign="top">
					<xsl:apply-templates select="VIEW-CONTENT/*"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template name="MAIN-PAGE-CONTENT">
		<tr>
			<td valign="top">
				<xsl:apply-templates select="VIEW-CONTENT"/>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
