<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>

	<xsl:template match="/">
		<html>
			<head>
			</head>
			<body>
				<xsl:apply-templates select="//PANEL[@TYPE='HTTP-POSTBINDING-FORM']" />
			</body>
		</html>
	</xsl:template>

	<xsl:template match="PANEL[@TYPE='HTTP-POSTBINDING-FORM']">
		<noscript>
        	<p>
				<strong>Note:</strong>
				Since your browser does not support JavaScript,
                you must press the Continue button once to proceed.
            </p>
		</noscript>

		<form action="{@ACTION}" method="post" id="form">
			<div>
				<xsl:apply-templates select='CONTROL' />
			</div>
			<noscript>
				<div>
					<input type="submit" value="Continue" />
				</div>
			</noscript>
		</form>

		<script type="text/javascript">
			document.getElementById('form').submit();
		</script>
	</xsl:template>

	<xsl:template match='CONTROL'>
		<input type="hidden" name="{@ID}" value="{.}" />
	</xsl:template>
</xsl:stylesheet>

